/////////////////////////////////////////////////////////////
//  filename:   const.hh
//
//  Aim:   To define the constants used.
//  Xiaojuan Feng
//  18 April, 1997
//  Modifications:
//	22/04/97
//      14/04/98    NUMBER_CLASSES
////////////////////////////////////////////////////////////

#ifndef 	CONST_H
#define         CONST

#define HARD	0
#define VIRTUAL	1
#define NUMBER_PARENTS		1
#define NUMBER_CHILDREN		4
#define NUMBER_CLASSES		7
#define NUMBER_ROWS             128
#define NUMBER_COLS             192
#define NUMBER_LEVELS           8
#define NUMBER_CPTS             13
#define un_char			unsigned char
#define s_int			short int
#define SIZE_FILENAME		100

#define INF	3e38
#define ZERO    1.1e-38
#define ZEROD   2.2E-308   // see limitis.h
#define PI      3.1415926
#define FILE_READ_BIN 	"rb"
#define FILE_READ_TXT	"rt"
#define FILE_WRITE_BIN	"wb"
#define FILE_WRITE_TXT  "wt"



#endif









