/////////////////////////////////////////////////////////////
//  filename:   utility_routines.hh
//
//  Aim:   
//  Xiaojuan Feng
//  	08/01/98
//  Modifications:
//
/////////////////////////////////////////////////////////////

#ifndef 	UTILITY_H
#define         UTILITY_H

#include        <stdio.h>
#include        <math.h>

#include        "const.hh"


s_int**	        simatrix(int nrow, int ncol);
char**		cmatrix(int nrow, int ncol);
int**		imatrix(int nrow, int ncol);
s_int***	simatrix(int nrow, int ncol, int ndep);
int*		ivector(int n);
float**		fmatrix(int nrow, int ncol);
float***	fmatrix(int nrow, int ncol, int ndep);
double**	dmatrix0(int nrow, int ncol);
double**	dmatrix(int nrow, int ncol);
double***	dmatrix(int nrow, int ncol, int ndep);
double*		dvector(int n);
FILE* 		file_open(char* fname, char* mode);
void  		errors(char* msg);
double 		ran1(long *idum);
void 		sumArray3D(int      nrow, 
                           int      ncol, 
                           int      ndep, 
                           float    alpha, 
                           float    beta,
                           float*** arrayR1,  
                           float*** arrayR2,
                           float*** arrayL);
double 		productArray3D(int      nrow, 
                               int      ncol, 
                               int      ndep, 
                               float*** arrayR1,  
                               float*** arrayR2);
void		setArray3D(int      nrow, 
                           int      ncol, 
                           int      ndep, 
                           float    alpha,
                           float*** arrayR, 
                           float*** arrayL);
#endif









