//////////////////////////////////////////////////////////
//
// Filename:  classifyTSBN.hh
// Description: Definition file for the ClassifyTSBN class.
//
//  Copyright (c) 1998 Xiaojuan Feng
//
/////////////////////////////////////////////////////////

#ifndef		CLASSIFYTSBN_h
#define		CLASSIFYTSBN_h


#include "tsbn.hh"
#include "inputTSBN.hh"
#include "util.hh"



class ClassifyTSBN: public InputTSBN {

public:
        ClassifyTSBN(s_int, s_int, s_int,   
                     s_int, s_int, s_int);
        ~ClassifyTSBN();

        void  Classify(float**, float***, char*);
        void  Classify(char*, char*, 
                       float***, char*);
        void  ClassifyBest(char*, char*, 
                           float***, char*);
        void  Classify(double*, float***, double*);
        void  ClassifyBest(double*, float***, double*);
        void  ClassifyBestCondp(char*, char*, 
                                float***, char*);

private:


}; // end of class TrainBeliefNet

#endif
