function [confMlp]= mlpclassify7( fname, output_fname )
%
% FANME: image_train: --- for images in training set
%        image_val: --- for images in validation set
%        image_test: --- for images in test set
% output_f_name:
%        imagesMlpTrVE.dat: --- for images in training set
%        imagesMlpTeVE.dat: --- for images in test set
%        imagesMlpVVE.dat: --- for images in validation set
% CONF:  The calculated confusion matrix
%  


% Input the image names
  fp = fopen(fname, 'r');
  ch = fscanf(fp, '%s', [1, 1]);
  ch = fscanf(fp, '%s', [1, 1]);  
  len = length(ch);
  n=0;
  while ( ~isempty(ch)) 
        n = n+1;
        image(n).name = ch(len-8:len);
        image(n).name(4)='_';
        image(n).name(7)='_';
        ch = fscanf(fp, '%s', [1, 1]);
  end
  fclose(fp);
  
  output_fname
  
  fp = fopen(output_fname, 'w');
  %cd /hame/xiaojuan/NNetwork/Images7/Demo
  %cd /hame/xiaojuan/cbn/para
  load net7
  nclass = net.nout;
  
  index_feature=[1,2,3,5,6,7,8,9,10,21,22,23,24,...
	         25,26,27,28,29,30,39,40];
  index_feature=index_feature+1;
  index_feature=[1,index_feature];
  
% process images one by one
  for nimage=1:1:size(image,2)
      nimage
      % ungip the *.fea file
      ch = strcat('mv *',image(nimage).name, '.fea.gz', ' fea.dat.gz');    
      unix(ch);
      unix('gunzip fea.dat.gz');
      load fea.dat
  
      % MLP classification
      fea = fea(:, index_feature);
      s=size(fea);
      ve = mlpfwd(net, fea(:, 2:s(2)));
      ve = ve ./ (sum(ve,2)*ones(1,net.nout));%normalizing 
      
      % obtain confusion matrix:
      [temp, index] = max( ve,[],2 );
      c=zeros((nclass+1),nclass);
      for j=1:1:size(ve,1)
          c(fea(j,1)+1,index(j)) =  c(fea(j,1)+1,index(j))+1;
      end
      conf(:,:,nimage) = c(1:(nclass+1),:);

      % 
      %ch = strcat('rm *',image(nimage).name, '.fea');
      unix('rm fea.dat');
      %ch = strcat(image(i).name, '.ve');
      %save(ch, 've', '-ascii', '-double');    
      %ch = strcat('gzip *',image(i).name, '.ve'); 
      %unix(ch);
      
      s=size(ve);
      for i=1:s(1),
	  for j=1:7,
	      fprintf(fp,'%e ', ve(i,j));
	  end
	  fprintf(fp, '\n');
      end
	
   end
   
   fclose(fp);
   confMlp = sum(conf,3);
   

